NX Open C++ Reference Guide
|
Limits a path to a segment of the path. More...
Public Member Functions | |
NXOpen::ScCollector * | Curve () |
Returns the curve used to set the limits. | |
NXOpen::Curve * | GetPath () |
Get the path used for the limits. | |
void | GetPathObjects (std::vector< NXOpen::NXObject * > &objectArray) |
Get the objects used to create the path. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | Point1 () |
Returns the first limit point. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | Point2 () |
Returns the last limit point. | |
bool | RemoveLimitPoints () |
Returns the indication that limit points are being removed. | |
int | Reverse () |
Returns the indication that limit points should be reversed. | |
void | SetLimitsFromCurve (NXOpen::Curve *curve) |
Set the limits from the endpoints of the input curve. | |
void | SetPath (NXOpen::Curve *path) |
Set the path used for the limits. | |
void | SetPathObjects (const std::vector< NXOpen::NXObject * > &objectArray) |
Set the objects used to create the path. | |
void | SetRemoveLimitPoints (bool remove) |
Sets the indication that limit points are being removed. | |
void | SetReverse (int reverse) |
Sets the indication that limit points should be reversed. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Limits a path to a segment of the path.
To create a new instance of this class, use Die::DieCollection::CreateDieLimits
Created in NX7.5.0.
NXOpen::ScCollector* NXOpen::Die::DieLimitsBuilder::Curve | ( | ) |
Returns the curve used to set the limits.
The string will be combined into a single curve and the endpoints of the combined curve will be used to set the first and last limit points.
Created in NX7.5.0.
License requirements : None
NXOpen::Curve* NXOpen::Die::DieLimitsBuilder::GetPath | ( | ) |
Get the path used for the limits.
void NXOpen::Die::DieLimitsBuilder::GetPathObjects | ( | std::vector< NXOpen::NXObject * > & | objectArray | ) |
Get the objects used to create the path.
Created in NX7.5.0.
License requirements : None
objectArray | The opening objects that were used to create the path. |
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DieLimitsBuilder::Point1 | ( | ) |
Returns the first limit point.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Die::DieLimitsBuilder::Point2 | ( | ) |
Returns the last limit point.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Die::DieLimitsBuilder::RemoveLimitPoints | ( | ) |
Returns the indication that limit points are being removed.
Created in NX7.5.0.
License requirements : None
int NXOpen::Die::DieLimitsBuilder::Reverse | ( | ) |
Returns the indication that limit points should be reversed.
Setting of 1 indicates to reverse.
Created in NX7.5.0.
License requirements : None
void NXOpen::Die::DieLimitsBuilder::SetLimitsFromCurve | ( | NXOpen::Curve * | curve | ) |
Set the limits from the endpoints of the input curve.
Created in NX8.0.0.
License requirements : None
curve | Curve to set limits |
void NXOpen::Die::DieLimitsBuilder::SetPath | ( | NXOpen::Curve * | path | ) |
Set the path used for the limits.
Created in NX8.0.0.
License requirements : None
path | Path curve |
void NXOpen::Die::DieLimitsBuilder::SetPathObjects | ( | const std::vector< NXOpen::NXObject * > & | objectArray | ) |
Set the objects used to create the path.
Created in NX7.5.0.
License requirements : None
objectArray | The opening objects that were used to create the path. |
void NXOpen::Die::DieLimitsBuilder::SetRemoveLimitPoints | ( | bool | remove | ) |
Sets the indication that limit points are being removed.
Created in NX7.5.0.
License requirements : None
remove | remove |
void NXOpen::Die::DieLimitsBuilder::SetReverse | ( | int | reverse | ) |
Sets the indication that limit points should be reversed.
Setting of 1 indicates to reverse.
Created in NX7.5.0.
License requirements : None
reverse | reverse |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.